%define		oname turpial
%define		_requires_exceptions typelib\(Unity\)

Name:		python-%{oname}
Version:	3.0
Release:	%mkrel 1
Summary:	Cool twitter client with many features and very light
Group:		Networking/Other
License:	GPLv3
URL:		http://turpial.org.ve
Source0:	http://files.turpial.org.ve/sources/stable/turpial-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	python-babel
BuildRequires:	python-libturpial
BuildRequires:	pkgconfig(python)

Requires:	python-jinja2
Requires:	python-libturpial
Requires:	python-notify
Requires:	python-qt4
Requires:	python-qt4-phonon
Requires:	python-simplejson

%description
Turpial is a microblogging client written in Python. It is lightweight,
functional and does not harm the ozone layer.


%prep
%setup -q -n %{oname}-%{version}


%build


%install
sed -i 's/share\/doc\/turpial/share\/doc\/%{name}/' setup.py
sed -i 's/\.\//share\/doc\/%{name}/' setup.py
sed -i 's/Version=2\.0/Version=1\.0/' turpial.desktop
chmod 0644 turpial.egg-info/* turpial.desktop turpial/data/pixmaps/*
%{__python} setup.py compile_catalog
%{__python} setup.py install --root %{buildroot}
%find_lang %{oname}

%files -f %{oname}.lang
%attr(0644,root,root) %{_datadir}/doc/%{name}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/turpial.png
%{_datadir}/icons/scalable/apps/turpial.svg
%attr(0755,root,root) %{_bindir}/*
%{python_sitelib}/*
%attr(0755,root,root) %{python_sitelib}/turpial/main.py


%changelog
* Fri Dec 20 2013 sander85 <sander85> 3.0-1.mga4
+ Revision: 559119
- New version: 3.0

* Tue Oct 22 2013 umeabot <umeabot> 1.6.9-4.mga4
+ Revision: 544391
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.6.9-3.mga4
+ Revision: 499576
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.6.9-2.mga3
+ Revision: 379585
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + sander85 <sander85>
    - New description from home page.

* Thu Dec 06 2012 sander85 <sander85> 1.6.9-1.mga3
+ Revision: 327319
- imported package python-turpial

